/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：scale.h
 * 描  述  ：称驱动程序    
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/03/06 
*********************************************************************************/
#ifndef __SCALE_H
#define __SCALE_H	 
#include "stm32f10x.h"
#include "stdio.h"
#include "usart1.h"
#include "usart3.h"
#include "usart4.h"
#include "usart5.h"

extern uint16_t weight1;							//第一路秤所称得的重量，放大100倍，单位kg
extern uint16_t weight2;
extern uint16_t weight3;
extern uint16_t weight4;

extern uint8_t calibrationScaleNum;		//校准称盘编码
extern uint8_t sendScaleNum;					//发送称盘编码
extern uint8_t calibrationErrorMark;		//校准称盘失败

extern uint8_t weightingState1;				//称重的状态，当为1时表示收到称重，由外部程序读取后清除
extern uint8_t weightingState2;
extern uint8_t weightingState3;
extern uint8_t weightingState4;

extern uint8_t getCalibraDataMark1;			//取得校准指令数据
extern uint8_t getCalibraZeroMark1;			//取得校准零点
extern uint8_t getCalibraParamOkMark1;		//取得校准完成

extern uint8_t getCalibraDataMark2;
extern uint8_t getCalibraZeroMark2;
extern uint8_t getCalibraParamOkMark2;

extern uint8_t calibrationParam1[16];
extern uint8_t calibrationParam2[16];

void ScaleInit(void);									//相关接口初始化
void ScalePowerON(uint8_t whichOne);	//秤电源打开
void ScalePowerOFF(uint8_t whichOne);	//秤电源关闭
void Clear_01(void);									//第一路秤清零
void Clear_02(void);									//第二路秤清零	
void ClearWeight(void);								//清除称重数据
  
void WeightDetectionTask(void);				//称重检测  

void GetWeight(void);									//取得当前秤上面的重量（投放过程中的称重变化）

void SendCalibraCmd(uint8_t num);

#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
